---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: exist
  name: exist
spec:
  replicas: 1
  selector:
    matchLabels:
      app: exist
  strategy:
    type: RollingUpdate
  template:
    metadata:
      labels:
        app: exist
    spec:
      containers:
      - image: image-to-kustomize
        name: exist
        resources:
          limits:
            memory: 2048Mi
          requests:
            memory: 1024Mi
        ports:
          - containerPort: 8080
        startupProbe:
          httpGet:
            path: /
            port: 8080
          failureThreshold: 30
          periodSeconds: 10
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: exist
  name: exist
spec:
  ports:
  - port: 8080
    protocol: TCP
    targetPort: 8080
  selector:
    app: exist
